import { r as registerInstance, h, c as getElement } from './core-5e328182.js';

const StateStepperStepComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.state = '';
    }
    watchHandler(newValue) {
        if (newValue === 'active') {
            this.scrollToMe();
        }
    }
    scrollToMe() {
        setTimeout(() => {
            this.el.scrollIntoView({
                behavior: 'smooth',
                block: 'center',
                inline: 'center'
            });
        });
    }
    componentDidLoad() {
        if (this.state === 'active') {
            this.scrollToMe();
        }
    }
    getStepStateClassName() {
        return this.state;
    }
    render() {
        return (h("div", { class: 'wrapper ' + this.getStepStateClassName() }, h("div", { class: "icon-wrapper" }, h("div", { class: "ani-wrapper" }, h("div", { class: "icon" }, h("slot", { name: "icon" })))), h("div", { class: "text" }, h("slot", { name: "text" }))));
    }
    get el() { return getElement(this); }
    static get watchers() { return {
        "state": ["watchHandler"]
    }; }
    static get style() { return ":host {\n  --size: 60px;\n  --color-idle: #989aa2;\n  --color-idle-contrast: #ffffff;\n  --color-success: #10dc60;\n  --color-success-contrast: #ffffff;\n  --color-warning: #ffce00;\n  --color-warning-contrast: #ffffff;\n  --color-danger: #f04141;\n  --color-danger-contrast: #ffffff;\n  --color-active: #3880ff;\n  --color-active-contrast: #ffffff;\n  display: inline-block;\n  position: relative;\n  width: calc(var(--size) * 1.33);\n  vertical-align: top;\n  text-align: center;\n}\n:host .wrapper .icon-wrapper {\n  position: relative;\n  width: var(--size);\n  height: var(--size);\n  margin: 0 auto;\n}\n:host .wrapper .icon-wrapper .ani-wrapper {\n  width: 100%;\n  height: 100%;\n}\n:host .wrapper .icon-wrapper .ani-wrapper .icon {\n  width: 100%;\n  height: 100%;\n  padding: 20%;\n  -o-object-fit: contain;\n  object-fit: contain;\n  background-color: var(--color-idle);\n  color: var(--color-idle-contrast);\n  border-radius: 50%;\n  -webkit-transform: scale(0.67);\n  transform: scale(0.67);\n  -webkit-transition: all 300ms ease-out;\n  transition: all 300ms ease-out;\n  will-change: transform;\n  -webkit-box-sizing: border-box;\n  box-sizing: border-box;\n}\n:host .wrapper .icon-wrapper .ani-wrapper .icon ::slotted(*) {\n  width: 100%;\n  height: 100%;\n}\n:host .wrapper .icon-wrapper::before {\n  display: block;\n  position: absolute;\n  z-index: -1;\n  content: \"\";\n  background-color: var(--color-idle);\n  top: 50%;\n  left: 50%;\n  width: 150%;\n  height: calc(var(--size) / 10);\n  margin-top: calc(var(--size) / -20);\n  -webkit-transition: all 300ms ease-out;\n  transition: all 300ms ease-out;\n  will-change: background-color;\n}\n:host .wrapper .text {\n  opacity: 0.5;\n  -webkit-transition: all 300ms ease-out;\n  transition: all 300ms ease-out;\n  will-change: opacity;\n  margin: 5px;\n  font-size: 0.8em;\n  overflow-wrap: break-word;\n  white-space: normal;\n}\n:host .wrapper.active .text {\n  opacity: 1;\n}\n:host .wrapper.active .icon-wrapper .ani-wrapper {\n  -webkit-animation: active 1s 300ms infinite ease-in-out;\n  animation: active 1s 300ms infinite ease-in-out;\n}\n:host .wrapper.active .icon-wrapper .ani-wrapper .icon {\n  -webkit-transform: scale(1);\n  transform: scale(1);\n  background-color: var(--color-active);\n  color: var(--color-active-contrast);\n}\n:host .wrapper.danger .icon-wrapper .ani-wrapper {\n  -webkit-animation: danger 600ms 300ms ease-in-out;\n  animation: danger 600ms 300ms ease-in-out;\n}\n:host .wrapper.danger .icon-wrapper .ani-wrapper .icon {\n  background-color: var(--color-danger);\n  color: var(--color-danger-contrast);\n}\n:host .wrapper.danger .icon-wrapper::before {\n  background-color: var(--color-danger);\n}\n:host .wrapper.warning .icon-wrapper .ani-wrapper {\n  -webkit-animation: warn 1s 300ms ease-in-out;\n  animation: warn 1s 300ms ease-in-out;\n}\n:host .wrapper.warning .icon-wrapper .ani-wrapper .icon {\n  background-color: var(--color-warning);\n  color: var(--color-warning-contrast);\n}\n:host .wrapper.warning .icon-wrapper::before {\n  background-color: var(--color-warning);\n}\n:host .wrapper.success .icon-wrapper .ani-wrapper {\n  -webkit-animation: success 1s 300ms;\n  animation: success 1s 300ms;\n}\n:host .wrapper.success .icon-wrapper .ani-wrapper .icon {\n  background-color: var(--color-success);\n  color: var(--color-success-contrast);\n}\n:host .wrapper.success .icon-wrapper::before {\n  background-color: var(--color-success);\n}\n\n:host(:last-of-type) .wrapper {\n  margin-right: 0;\n}\n:host(:last-of-type) .wrapper .icon-wrapper::before {\n  display: none;\n}\n\n\@-webkit-keyframes active {\n  from {\n    -webkit-transform: scale3d(1, 1, 1);\n    transform: scale3d(1, 1, 1);\n  }\n  50% {\n    -webkit-transform: scale3d(0.9, 0.9, 0.9);\n    transform: scale3d(0.9, 0.9, 0.9);\n  }\n  to {\n    -webkit-transform: scale3d(1, 1, 1);\n    transform: scale3d(1, 1, 1);\n  }\n}\n\n\@keyframes active {\n  from {\n    -webkit-transform: scale3d(1, 1, 1);\n    transform: scale3d(1, 1, 1);\n  }\n  50% {\n    -webkit-transform: scale3d(0.9, 0.9, 0.9);\n    transform: scale3d(0.9, 0.9, 0.9);\n  }\n  to {\n    -webkit-transform: scale3d(1, 1, 1);\n    transform: scale3d(1, 1, 1);\n  }\n}\n\@-webkit-keyframes danger {\n  0% {\n    -webkit-transform: translateX(0);\n    transform: translateX(0);\n  }\n  10% {\n    -webkit-transform: translateX(-6px) rotateY(-9deg);\n    transform: translateX(-6px) rotateY(-9deg);\n  }\n  20% {\n    -webkit-transform: translateX(5px) rotateY(7deg);\n    transform: translateX(5px) rotateY(7deg);\n  }\n  30% {\n    -webkit-transform: translateX(-4px) rotateY(-6deg);\n    transform: translateX(-4px) rotateY(-6deg);\n  }\n  40% {\n    -webkit-transform: translateX(3px) rotateY(5deg);\n    transform: translateX(3px) rotateY(5deg);\n  }\n  50% {\n    -webkit-transform: translateX(-2px) rotateY(-4deg);\n    transform: translateX(-2px) rotateY(-4deg);\n  }\n  60% {\n    -webkit-transform: translateX(1px) rotateY(3deg);\n    transform: translateX(1px) rotateY(3deg);\n  }\n  70% {\n    -webkit-transform: translateX(0);\n    transform: translateX(0);\n  }\n}\n\@keyframes danger {\n  0% {\n    -webkit-transform: translateX(0);\n    transform: translateX(0);\n  }\n  10% {\n    -webkit-transform: translateX(-6px) rotateY(-9deg);\n    transform: translateX(-6px) rotateY(-9deg);\n  }\n  20% {\n    -webkit-transform: translateX(5px) rotateY(7deg);\n    transform: translateX(5px) rotateY(7deg);\n  }\n  30% {\n    -webkit-transform: translateX(-4px) rotateY(-6deg);\n    transform: translateX(-4px) rotateY(-6deg);\n  }\n  40% {\n    -webkit-transform: translateX(3px) rotateY(5deg);\n    transform: translateX(3px) rotateY(5deg);\n  }\n  50% {\n    -webkit-transform: translateX(-2px) rotateY(-4deg);\n    transform: translateX(-2px) rotateY(-4deg);\n  }\n  60% {\n    -webkit-transform: translateX(1px) rotateY(3deg);\n    transform: translateX(1px) rotateY(3deg);\n  }\n  70% {\n    -webkit-transform: translateX(0);\n    transform: translateX(0);\n  }\n}\n\@-webkit-keyframes success {\n  from, to {\n    -webkit-transform: scale3d(1, 1, 1);\n    transform: scale3d(1, 1, 1);\n  }\n  30% {\n    -webkit-transform: scale3d(1.2, 0.8, 1);\n    transform: scale3d(1.2, 0.8, 1);\n  }\n  40% {\n    -webkit-transform: scale3d(0.8, 1.2, 1);\n    transform: scale3d(0.8, 1.2, 1);\n  }\n  50% {\n    -webkit-transform: scale3d(1.1, 0.9, 1);\n    transform: scale3d(1.1, 0.9, 1);\n  }\n  65% {\n    -webkit-transform: scale3d(0.98, 1.02, 1);\n    transform: scale3d(0.98, 1.02, 1);\n  }\n  75% {\n    -webkit-transform: scale3d(1.02, 0.98, 1);\n    transform: scale3d(1.02, 0.98, 1);\n  }\n}\n\@keyframes success {\n  from, to {\n    -webkit-transform: scale3d(1, 1, 1);\n    transform: scale3d(1, 1, 1);\n  }\n  30% {\n    -webkit-transform: scale3d(1.2, 0.8, 1);\n    transform: scale3d(1.2, 0.8, 1);\n  }\n  40% {\n    -webkit-transform: scale3d(0.8, 1.2, 1);\n    transform: scale3d(0.8, 1.2, 1);\n  }\n  50% {\n    -webkit-transform: scale3d(1.1, 0.9, 1);\n    transform: scale3d(1.1, 0.9, 1);\n  }\n  65% {\n    -webkit-transform: scale3d(0.98, 1.02, 1);\n    transform: scale3d(0.98, 1.02, 1);\n  }\n  75% {\n    -webkit-transform: scale3d(1.02, 0.98, 1);\n    transform: scale3d(1.02, 0.98, 1);\n  }\n}\n\@-webkit-keyframes warn {\n  from, 10%, to {\n    -webkit-transform: translate3d(0, 0, 0);\n    transform: translate3d(0, 0, 0);\n  }\n  20% {\n    -webkit-transform: skewX(-12deg) skewY(-12deg);\n    transform: skewX(-12deg) skewY(-12deg);\n  }\n  30% {\n    -webkit-transform: skewX(6deg) skewY(6deg);\n    transform: skewX(6deg) skewY(6deg);\n  }\n  40% {\n    -webkit-transform: skewX(-3deg) skewY(-3deg);\n    transform: skewX(-3deg) skewY(-3deg);\n  }\n  50% {\n    -webkit-transform: skewX(1.5deg) skewY(1.5deg);\n    transform: skewX(1.5deg) skewY(1.5deg);\n  }\n  60% {\n    -webkit-transform: skewX(-0.8deg) skewY(-0.8deg);\n    transform: skewX(-0.8deg) skewY(-0.8deg);\n  }\n  70% {\n    -webkit-transform: skewX(0.4deg) skewY(0.4deg);\n    transform: skewX(0.4deg) skewY(0.4deg);\n  }\n  80% {\n    -webkit-transform: skewX(-0.2deg) skewY(-0.2deg);\n    transform: skewX(-0.2deg) skewY(-0.2deg);\n  }\n}\n\@keyframes warn {\n  from, 10%, to {\n    -webkit-transform: translate3d(0, 0, 0);\n    transform: translate3d(0, 0, 0);\n  }\n  20% {\n    -webkit-transform: skewX(-12deg) skewY(-12deg);\n    transform: skewX(-12deg) skewY(-12deg);\n  }\n  30% {\n    -webkit-transform: skewX(6deg) skewY(6deg);\n    transform: skewX(6deg) skewY(6deg);\n  }\n  40% {\n    -webkit-transform: skewX(-3deg) skewY(-3deg);\n    transform: skewX(-3deg) skewY(-3deg);\n  }\n  50% {\n    -webkit-transform: skewX(1.5deg) skewY(1.5deg);\n    transform: skewX(1.5deg) skewY(1.5deg);\n  }\n  60% {\n    -webkit-transform: skewX(-0.8deg) skewY(-0.8deg);\n    transform: skewX(-0.8deg) skewY(-0.8deg);\n  }\n  70% {\n    -webkit-transform: skewX(0.4deg) skewY(0.4deg);\n    transform: skewX(0.4deg) skewY(0.4deg);\n  }\n  80% {\n    -webkit-transform: skewX(-0.2deg) skewY(-0.2deg);\n    transform: skewX(-0.2deg) skewY(-0.2deg);\n  }\n}"; }
};

export { StateStepperStepComponent as state_stepper_step };
